<?php include __DIR__ . '/includes/menu.php'; ?>

<div class="page-header">
	<h1>Settings</h1>
</div>

<form class="form-horizontal" method="post">
	<div class="col-sm-12">
		<h3>User settings</h3>

		<?php if (isset($settings['name'])): ?>
			User logged in as <?= $settings['name'] ?>.<br>
			<a class="btn btn-warning" data-toggle="collapse" data-target="#loginForm">Change</a>
		<?php endif; ?>

		<div class="collapse<?php if (!isset($settings['name'])): ?> in<?php endif; ?>" id="loginForm">
			<div class="form-group">
				<label for="form-name" class="col-sm-2 control-label">Login</label>
				<div class="col-sm-4">
					<input type="text" name="name" id="form-name" class="form-control" value="<?= isset($settings['name']) ? $settings['name'] : '' ?>">
					<p class="help-block">Your login for pays.cz service</p>
				</div>
			</div>
			<div class="form-group">
				<label for="form-password" class="col-sm-2 control-label">Password</label>
				<div class="col-sm-4">
					<input type="password" name="password" id="form-password" class="form-control">
					<p class="help-block">Your password for pays.cz service.<?= isset($settings['password']) ? 'Fill only if you want to change saved password.' : '' ?> </p>
				</div>
			</div>
			<div class="form-group">
				<div class="col-sm-10 col-sm-offset-2">
					<button type="submit" name="_submit" class="btn btn-primary">Save</button>
					<a href="?page=<?= $domain ?>" class="btn btn-default">Cancel</a>
				</div>
			</div>
		</div>

		<h3>Messages settings</h3>
		<p>
			You can use following placeholders:
		</p>
		<div class="table-responsive col-sm-6">
			<table class="table table-condensed table-hover table-striped">
				<thead>
					<tr>
						<th>Placeholder</th>
						<th>Example data</th>
					</tr>
				</thead>
				<tbody>
					<?php foreach ($shortCodes as $name => $code): ?>
						<tr>
							<td><code>[<?= $name ?>]</code></td>
							<td><?= $code ?></td>
						</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>
		<div class="clearfix"></div>
		<?php foreach ($statuses as $name => $status): ?>
			<div class="form-group">
				<label for="form-enable-<?= $name ?>" class="col-sm-2 control-label">Status: <?= $status ?></label>
				<div class="col-sm-10">
					<div class="checkbox">
						<label>
							<input data-toggle-enable="#form-group-<?= $name ?>" type="checkbox" name="enabled[<?= $name ?>]" id="form-enable-<?= $name ?>"<?php if (isset($settings['enabled'][$name]) && $settings['enabled'][$name]): ?> checked<?php endif; ?> Enabled
						</label>
					</div>
				</div>
			</div>
			<div class="form-group" id="form-group-<?= $name ?>"<?php if (!(isset($settings['enabled'][$name]) && $settings['enabled'][$name])): ?> style="display: none;"<?php endif; ?>>
				<label for="form-text-<?= $name ?>" class="col-sm-2 control-label">Text</label>
				<div class="col-sm-5">
					<?php
						$default = '';
						if (isset($settings['texts']) && isset($settings['texts'][$name])) {
							$default = $settings['texts'][$name];
						}
					?>
					<textarea name="texts[<?= $name ?>]" id="form-text-<?= $name ?>" class="form-control" rows="4"><?= $default ?></textarea>
					<p class="help-block" data-parts-counter="#form-text-<?= $name ?>"></p>
				</div>
				<label for="form-preview-<?= $name ?>" class="col-sm-1 control-label">Preview</label>
				<div class="col-sm-4">
					<textarea name="form-preview-<?= $name ?>" id="form-preview-<?= $name ?>" readonly data-preview="#form-text-<?= $name ?>" class="form-control" rows="4"></textarea>
					<p class="help-block" data-parts-counter="#form-preview-<?= $name ?>"></p>
				</div>
			</div>
		<?php endforeach; ?>
		<div class="form-group">
			<div class="col-sm-10 col-sm-offset-2">
				<button type="submit" name="_submit" class="btn btn-primary">Save</button>
				<a href="?page=<?= $domain ?>" class="btn btn-default">Cancel</a>
			</div>
		</div>
	</div>
</form>

<script>
	(function ($) {
		$(function () {
			function apply($element) {
				var data = $element.data('toggle-enable');
				if ($element.is(':checked')) {
					$(data).show();
				} else {
					$(data).hide();
				}
			}
			$('[data-toggle-enable]').each(function () {
				apply($(this));
			}).on('change', function () {
				apply($(this));
			});
		});
	})(jQuery);
</script>
